View Issue Details

IDProjectCategoryView StatusLast Update
0030345LazarusLazReportpublic2016-07-15 03:30
ReporterGraeme GeldenhuysAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSFreeBSDOS Version10.1
Product Version1.7 (SVN)Product Build 
Target Version1.8Fixed in Version1.7 (SVN) 
Summary0030345: PageHeader band should appear before ReportTitle band
DescriptionThe page header is the page header, it should always be topmost.

Simple rule of thumb:
If you display a page number in the page header, you want it to appear
in the top-right corner of the page,
above the title, not below the title.

Attached is a sample 2-column report (a modified sample BarCode report) where I added a ReportTitle and PageHeader bands. I've also attached a screenshot of the design view. In other reporting tools, the PageHeader is always the first band, even on page one.
TagsNo tags attached.
Fixed in Revision52689
LazTarget1.8
Widgetset
Attached Files

Activities

Graeme Geldenhuys

2016-07-05 18:52

reporter  

Screenshot_lazreport.png (33,803 bytes)
Screenshot_lazreport.png (33,803 bytes)

Graeme Geldenhuys

2016-07-05 18:54

reporter  

Screenshot_design.png (9,826 bytes)
Screenshot_design.png (9,826 bytes)

Graeme Geldenhuys

2016-07-05 18:55

reporter  

printing_labels-gg.lrf (26,996 bytes)

Graeme Geldenhuys

2016-07-05 18:56

reporter   ~0093560

You can use the lazreport/samples/barcode/ project and simply open the printing_labels-gg.lrf file and the report will run.

Jesus Reyes

2016-07-05 22:01

developer   ~0093566

Do you know if in FastReport the PageHeader is also the first band?

Graeme Geldenhuys

2016-07-06 00:00

reporter   ~0093581

I don't have FastReport, but Michael van Canneyt checked for me. This is what he said:

==========[ forwarded msg ]===================
I just checked the latest FastReport.
It has a property 'TitleBeforeHeader', default True.

Probably the lazreport behaviour was marked as a bug in FastReport and
then this property was added for backwards compatibility.

I really think it is nonsense, so we'll stick to page header at the top.
=============================

His last comment related to fpReport, the new Free Pascal reporting solution that I've been developing.

Jesus Reyes

2016-07-15 03:30

developer   ~0093717

Added an option for printing PageHeader before ReportTitle band, off by default which preserves the current behavior in similar way as is reportedly done in FastReport.

Issue History

Date Modified Username Field Change
2016-07-05 18:52 Graeme Geldenhuys New Issue
2016-07-05 18:52 Graeme Geldenhuys File Added: Screenshot_lazreport.png
2016-07-05 18:54 Graeme Geldenhuys File Added: Screenshot_design.png
2016-07-05 18:55 Graeme Geldenhuys File Added: printing_labels-gg.lrf
2016-07-05 18:56 Graeme Geldenhuys Note Added: 0093560
2016-07-05 21:58 Jesus Reyes Assigned To => Jesus Reyes
2016-07-05 21:58 Jesus Reyes Status new => assigned
2016-07-05 22:01 Jesus Reyes LazTarget => -
2016-07-05 22:01 Jesus Reyes Note Added: 0093566
2016-07-05 22:01 Jesus Reyes Status assigned => feedback
2016-07-06 00:00 Graeme Geldenhuys Note Added: 0093581
2016-07-06 00:00 Graeme Geldenhuys Status feedback => assigned
2016-07-15 03:30 Jesus Reyes Fixed in Revision => 52689
2016-07-15 03:30 Jesus Reyes LazTarget - => 1.8
2016-07-15 03:30 Jesus Reyes Note Added: 0093717
2016-07-15 03:30 Jesus Reyes Status assigned => resolved
2016-07-15 03:30 Jesus Reyes Fixed in Version => 1.7 (SVN)
2016-07-15 03:30 Jesus Reyes Resolution open => fixed
2016-07-15 03:30 Jesus Reyes Target Version => 1.8